// XXX Occasionally make sure your dead code is appropriate.
#![allow(dead_code)]

// XXX Occasionally check this too. It seems there is a glitchy
//     warning sometimes saying that `$item` is an unused import.
#![allow(unused_imports)]

// XXX Someday look over doc comments and make sure they do
//     more or less what you hope.

///! main.rs February 2022
///! This module contains the program entry point and miscellany.

#[macro_use] mod macros;    // This must appear before the other modules.

many!(use, api bigrand compo draw propagator ram run solver
        split synth tally tests urand64 util wires, ::*;);
many!(mod, api bigrand compo draw propagator ram run solver
        split synth tally tests urand64 util wires, ;);

fn main() {
    if environ_string("LMUL_LICENSE_UNDERSTOOD", "").is_empty() {
        eprintln!("{}", include_str!("LICENSE"));
    }
    run()
}
